#ifndef __VNCDBG_H
#define __VNCDBG_H

extern int g_fdLog;

extern int LogOpen(char *path);
extern int LogClose();
extern int LogPrintf(char *fmt, ...);

#define LogPs0(a) LogPrintf(a)
#define LogPn1(a,b,c) LogPrintf(a "%i" c, b)
#define LogPs1(a,b,c) LogPrintf(a "%s" c, b)
#define LogPn2(a,b,c,d,e) LogPrintf(a "%i" c "%i" e, b, d)
#define LogPs2(a,b,c,d,e) LogPrintf(a "%s" c "%i" e, b, d)

#endif
